/*****************************************************************************/
/*!
  @file         KernelParam_Join.hpp
  @author       MartinKi
  @ingroup      Join

  @brief        Mapping for configuration parameter names used by Join component

\if EMIT_LICENCE
    ========== licence begin  GPL
    Copyright (c) 2003-2005 SAP AG

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end

\endif
*/
/*****************************************************************************/

#ifndef KERNELPARAM_JOIN_HPP
#define KERNELPARAM_JOIN_HPP

/// cserv name of the configuration parameter MAX_SINGLE_HASHTABLE_SIZE
#define KERNELPARAM_JOIN_MAX_SINGLE_HASHTABLE_SIZE (SAPDB_UTF8 *)"MAX_SINGLE_HASHTABLE_SIZE"

#define KERNELPARAM_JOIN_MAX_HASHTABLE_MEMORY (SAPDB_UTF8 *)"MAX_HASHTABLE_MEMORY"


#endif // KERNELPARAM_JOIN_HPP
