# --------------------------------------------------------------------------
# description: Catalog
#
# author:	thomasA
# --------------------------------------------------------------------------
#
#
#    ========== licence begin  GPL
#    Copyright (c) 2000-2005 SAP AG
#
#    This program is free software; you can redistribute it and/or
#    modify it under the terms of the GNU General Public License
#    as published by the Free Software Foundation; either version 2
#    of the License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#    ========== licence end

Catalog_DBProcObject.hpp        inc=Catalog_Types.hpp,\
                                    Catalog_Object.hpp
Catalog_Types.hpp               inc=SQLMan_Types.hpp,Catalog_Types.hpp
Catalog_MessBlockObject.hpp     inc=Catalog_Types.hpp  
Catalog_Object.hpp              inc=Catalog_Types.hpp
Catalog_TableObject.hpp         inc=Catalog_Types.hpp,RTESync_Spinlock.hpp
Catalog_ISharedSQLInterface.hpp inc=
Catalog_Interface.hpp           inc=
Catalog_Instance.hpp            inc=Catalog_Interface.hpp,SAPDB_Singleton.hpp

Catalog_DBProcObject.cpp    inc=Catalog_DBProcObject.hpp

Catalog_DBProcFileObject.hpp inc=Catalog_Types.hpp,\
                                 Catalog_Object.hpp

Catalog_DBProcFileObject.cpp inc=Catalog_DBProcFileObject.hpp

Catalog_DBProcInfoObject.hpp inc=Catalog_Types.hpp,\
                                 Catalog_Object.hpp

Catalog_Messages.hpp         inc=SAPDBErr_MessageList.hpp

Catalog_Instance.cpp         inc=hak101.h,hak51.h,hak01.h,hgg01_3.h,Catalog_Instance.hpp,\
                                 KSQL_Connection.hpp,\
                                 SQLMan_Context.hpp,\
                                 Catalog_Messages.hpp

Catalog_DBProcInfoObject.cpp inc=Catalog_DBProcInfoObject.hpp

Catalog_MessBlockObject.cpp inc=Catalog_MessBlockObject.hpp,\
                                SQLMan_MessBlock.hpp,\
                                SAPDBMem_IRawAllocator.hpp

Catalog_SessionCache.hpp inc=Catalog_Object.hpp,\
                             SQLMan_Types.hpp,\
                             Catalog_ISessionCache.hpp

Catalog_SessionCacheInline.hpp inc=Catalog_SessionCache.hpp,\
                                   SQLMan_Context.hpp,\
                                   hak10.h

Catalog_SharedSqlObject.hpp inc=Catalog_Types.hpp,\
                                Catalog_Object.hpp



Catalog_SessionCache.cpp inc=Catalog_SessionCacheInline.hpp,\
                             SQLMan_Tracing.hpp,\
                             SharedSQL_IHandles.hpp,\
                             SharedSQL_ISQLCache.hpp,\
                             Catalog_TableObject.hpp,\
                             Catalog_MessBlockObject.hpp,\
                             Catalog_SharedSqlObject.hpp,\
                             Catalog_DBProcObject.hpp,\
                             Catalog_DBProcFileObject.hpp,\
                             Catalog_DBProcInfoObject.hpp,\
                             Catalog_Messages.hpp,\
                             hak10.h,\
                             hak01.h,\
                             hak260.h

Catalog_ISharedSQLInterface.cpp inc=hsp30.h,\
                             Catalog_ISharedSQLInterface.hpp,\
                             Catalog_Object.hpp,\
                             Catalog_SessionCacheInline.hpp,\
                             SQLMan_Tracing.hpp,\
                             SAPDBMem_IRawAllocator.hpp

Catalog_Object.cpp       inc=Catalog_Object.hpp,\
                             Catalog_TableObject.hpp,\
                             Catalog_MessBlockObject.hpp,\
                             SAPDBMem_IRawAllocator.hpp,\
                             SQLMan_Tracing.hpp


Catalog_TableObject.cpp  inc=Catalog_TableObject.hpp,\
                             SAPDBMem_IRawAllocator.hpp,\
                             SQLMan_SQLStatementContext.hpp,\
                             SQLMan_Tracing.hpp,\
                             SQLMan_Context.hpp,\
                             Catalog_Messages.hpp

Catalog_TableObject-80.cpp  inc=Catalog_TableObject.hpp,\
                             SAPDBMem_IRawAllocator.hpp,\
                             SQLMan_Tracing.hpp,\
                             SQLMan_Context.hpp,\
                             Catalog_Messages.hpp,\
                             KSQL_Connection.hpp,\
                             SQLMan_SQLStatementContext.hpp,\
                             KSQL_PreparedStatement.hpp -DKERNEL80

Catalog_SharedSqlObject.cpp inc=Catalog_SharedSqlObject.hpp
#
# include dependencies (do not edit)
#
Catalog_DBProcFileObject.cpp inc=\
    :SAPDB/SQLManager/Catalog/Catalog_DBProcFileObject.hpp
Catalog_DBProcFileObject.hpp inc=\
    :SAPDB/SQLManager/Catalog/Catalog_Types.hpp,\
    :SAPDB/SQLManager/Catalog/Catalog_Object.hpp
Catalog_DBProcInfoObject.cpp inc=\
    :SAPDB/SQLManager/Catalog/Catalog_DBProcInfoObject.hpp
Catalog_DBProcInfoObject.hpp inc=\
    :SAPDB/SQLManager/Catalog/Catalog_Types.hpp,\
    :SAPDB/SQLManager/Catalog/Catalog_Object.hpp
Catalog_DBProcObject.cpp inc=\
    :SAPDB/SQLManager/Catalog/Catalog_DBProcObject.hpp
Catalog_DBProcObject.hpp inc=:SAPDB/SQLManager/Catalog/Catalog_Types.hpp,\
    :SAPDB/SQLManager/Catalog/Catalog_Object.hpp
Catalog_ISessionCache.hpp inc=
Catalog_ISharedSQLInterface.cpp inc=hsp30.h,\
    :SAPDB/SQLManager/Catalog/Catalog_ISharedSQLInterface.hpp,\
    :SAPDB/SAPDBCommon/MemoryManagement/SAPDBMem_IRawAllocator.hpp,\
    :SAPDB/SQLManager/Catalog/Catalog_Object.hpp,\
    :SAPDB/SQLManager/Catalog/Catalog_SessionCacheInline.hpp,\
    :SAPDB/SQLManager/SQLMan_Tracing.hpp
Catalog_ISharedSQLInterface.hpp inc=
Catalog_Instance.cpp inc=hak01.h,hak101.h,hak51.h,hgg01_3.h,\
    :SAPDB/SQLManager/Catalog/Catalog_Instance.hpp,\
    :SAPDB/SQLManager/SQLMan_Context.hpp,\
    :SAPDB/SQLManager/KernelSQL/KSQL_Connection.hpp,\
    :SAPDB/SQLManager/Catalog/Catalog_Messages.hpp,\
    :SAPDB/RunTime/Synchronisation/RTESync_RWRegion.hpp,\
    :SAPDB/RunTime/MemoryManagement/RTEMem_RawAllocator.hpp
Catalog_Instance.hpp inc=:SAPDB/SQLManager/Catalog/Catalog_Interface.hpp,\
    :SAPDB/SAPDBCommon/SAPDB_Singleton.hpp
Catalog_Interface.hpp inc=:SAPDB/RunTime/RTE_Types.hpp
Catalog_MessBlockObject.cpp inc=\
    :SAPDB/SQLManager/Catalog/Catalog_MessBlockObject.hpp,\
    :SAPDB/SQLManager/SQLMan_MessBlock.hpp,\
    :SAPDB/SAPDBCommon/MemoryManagement/SAPDBMem_IRawAllocator.hpp
Catalog_MessBlockObject.hpp inc=\
    :SAPDB/SQLManager/Catalog/Catalog_Types.hpp
Catalog_Messages.hpp inc=\
    :SAPDB/SAPDBCommon/ErrorsAndMessages/SAPDBErr_MessageList.hpp
Catalog_Object.cpp inc=:SAPDB/SQLManager/Catalog/Catalog_Object.hpp,\
    :SAPDB/SQLManager/Catalog/Catalog_TableObject.hpp,\
    :SAPDB/SQLManager/Catalog/Catalog_MessBlockObject.hpp,\
    :SAPDB/SAPDBCommon/MemoryManagement/SAPDBMem_IRawAllocator.hpp,\
    :SAPDB/SQLManager/SQLMan_Tracing.hpp
Catalog_Object.hpp inc=:SAPDB/SQLManager/Catalog/Catalog_Types.hpp
Catalog_SessionCache.cpp inc=\
    :SAPDB/SQLManager/Catalog/Catalog_SessionCacheInline.hpp,\
    :SAPDB/SQLManager/Catalog/Catalog_DBProcObject.hpp,\
    :SAPDB/SQLManager/Catalog/Catalog_DBProcFileObject.hpp,\
    :SAPDB/SQLManager/Catalog/Catalog_DBProcInfoObject.hpp,\
    :SAPDB/SQLManager/Catalog/Catalog_TableObject.hpp,\
    :SAPDB/SQLManager/Catalog/Catalog_MessBlockObject.hpp,\
    :SAPDB/SQLManager/Catalog/Catalog_SharedSqlObject.hpp,\
    :SAPDB/SQLManager/SharedSQL/SharedSQL_Handles.hpp,\
    :SAPDB/SQLManager/SharedSQL/SharedSQL_SQLCache.hpp,\
    :SAPDB/SQLManager/Catalog/Catalog_Messages.hpp,\
    :SAPDB/SQLManager/SQLMan_Tracing.hpp,hak01.h,hak10.h,hak260.h
Catalog_SessionCache.hpp inc=\
    :SAPDB/SQLManager/Catalog/Catalog_Object.hpp,\
    :SAPDB/SQLManager/SQLMan_Types.hpp,\
    :SAPDB/SQLManager/Catalog/Catalog_ISessionCache.hpp
Catalog_SessionCacheInline.hpp inc=\
    :SAPDB/SQLManager/Catalog/Catalog_SessionCache.hpp,\
    :SAPDB/SQLManager/SQLMan_Context.hpp,hak10.h
Catalog_SharedSqlObject.cpp inc=\
    :SAPDB/SQLManager/Catalog/Catalog_SharedSqlObject.hpp
Catalog_SharedSqlObject.hpp inc=\
    :SAPDB/SQLManager/Catalog/Catalog_Types.hpp,\
    :SAPDB/SQLManager/Catalog/Catalog_Object.hpp
Catalog_TableObject.cpp inc=\
    :SAPDB/SQLManager/Catalog/Catalog_TableObject.hpp,\
    :SAPDB/SQLManager/SQLMan_Context.hpp,\
    :SAPDB/SAPDBCommon/MemoryManagement/SAPDBMem_IRawAllocator.hpp,\
    :SAPDB/SQLManager/SQLMan_Tracing.hpp,\
    :SAPDB/SQLManager/SQLMan_SQLStatementContext.hpp,\
    :SAPDB/SQLManager/Catalog/Catalog_Messages.hpp
Catalog_TableObject-80.cpp inc=\
    :SAPDB/SQLManager/Catalog/Catalog_TableObject.hpp,\
    :SAPDB/SQLManager/SQLMan_Context.hpp,\
    :SAPDB/SAPDBCommon/MemoryManagement/SAPDBMem_IRawAllocator.hpp,\
    :SAPDB/SQLManager/SQLMan_Tracing.hpp,\
    :SAPDB/SQLManager/SQLMan_SQLStatementContext.hpp,\
    :SAPDB/SQLManager/Catalog/Catalog_Messages.hpp
Catalog_TableObject.hpp inc=:SAPDB/SQLManager/Catalog/Catalog_Types.hpp,\
    :SAPDB/RunTime/Synchronisation/RTESync_Spinlock.hpp
Catalog_Types.hpp inc=:SAPDB/SQLManager/SQLMan_Types.hpp

