/****************************************************************************/
/*!

  @file        SysView_Events.cpp

  -------------------------------------------------------------------------

  @author      ElkeZ

  @ingroup     SystemViews
  @brief       This module implements the "Events" view class.

  @see        

*/
/*-------------------------------------------------------------------------

  copyright:    (c) 2002-2004 SAP AG


    ========== licence begin  GPL
    Copyright (c) 2002-2005 SAP AG

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
    ========== licence end




*****************************************************************************/



/*===========================================================================*
 *  INCLUDES                                                                 *
 *===========================================================================*/

#include "ggg00.h"
#include "SystemViews/SysView_Defines.hpp"
#include "SystemViews/SysView_ITableObj.hpp"
#include "SystemViews/SysView_Events.hpp"


/*===========================================================================*
 *  DEFINES                                                                  *
 *===========================================================================*/



/*===========================================================================*
 *  MACROS                                                                   *
 *===========================================================================*/



/*===========================================================================*
 *  LOCAL CLASSES, STRUCTURES, TYPES, UNIONS ...                             *
 *===========================================================================*/



/*===========================================================================*
 *  STATIC/INLINE FUNCTIONS  (PROTOTYPES)                                     *
 *===========================================================================*/



/*===========================================================================*
 *  METHODS                                                                  *
 *===========================================================================*/

void SysView_Events::Create()
{
    SAPDBTRACE_METHOD_DEBUG ("SysView_Events::Create", SysView_Trace, 5);

	m_Table->AppendCol (ITOCT_CHAR ,SV_NAME, 32);
	m_Table->AppendCol (ITOCT_FIXED ,SV_VALUE, 10);
	m_Table->AppendCol (ITOCT_FIXED ,SV_PRIORITY, 5);
	m_Table->AppendCol (ITOCT_FIXED ,SV_ID, 5);
	m_Table->AppendCol (ITOCT_CHAR ,SV_SWITCHABLE, 3);
	m_Table->AppendCol (ITOCT_FIXED ,SV_PARAMETERCOUNT, 5);
	m_Table->AppendCol (ITOCT_CHAR ,SV_MULTIPLE, 3);
}

/*---------------------------------------------------------------------------*/

SAPDB_Int SysView_Events::GetColCount()
{
    SAPDBTRACE_METHOD_DEBUG ("SysView_Events::GetColCount", SysView_Trace, 5);

    return SV_CC_EVENTS;
}

/*---------------------------------------------------------------------------*/

SAPDB_Int SysView_Events::EstimateRows()
{
    SAPDBTRACE_METHOD_DEBUG ("SysView_Events::EstimateRows", SysView_Trace, 5);

    return SV_ER_EVENTS;
}

/*---------------------------------------------------------------------------*/

void SysView_Events::Execute()
{
    SAPDBTRACE_METHOD_DEBUG ("SysView_Events::Execute", SysView_Trace, 5);

    m_Context.ThrowError (e_not_implemented, 1);
}

/*===========================================================================*
 *  END OF CODE                                                              *
 *===========================================================================*/
